Name:       moc
Summary:    Music on Console - Console audio player for Linux/UNIX
Version:    2.5.0
Release:    0.1.alpha4%{?dist}
License:    GPLv2

Group:  Applications/Multimedia
URL:    http://moc.draper.net
Source: ftp://ftp.daper.net/pub/soft/moc/unstable/moc-%{version}-alpha4.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:   ncurses
Requires:   alsa-lib > 1.0.0
BuildRequires:  ncurses-devel alsa-lib-devel libtool-ltdl-devel

%if %{!?_without_samplerate:1}0
BuildRequires: libsamplerate-devel 
Requires: libsamplerate > 0.1.0
%endif

%if %{!?_without_curl:1}0
BuildRequires: curl-devel 
Requires: curl 
%endif

#%if %{!?_without_jack:1}0
#BuildRequires: libjack-devel
#Requires: libjack
#%endif

#%if %{!?_without_rcc:1}0
#BuildRequires: librcc-devel
#Requires: librcc
#%endif

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.


%if %{!?_without_mp3:1}0
%package mp3
Summary: MP3 decoder for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: libmad-devel libid3tag-devel
Requires: libmad > 0.10
Requires: libid3tag > 0.10 
Requires: %{name} = %{version}-%{release}
%description mp3
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the MP3 decoder
%endif

%if %{?_with_musepack:1}0
%package musepack 
Summary: Musepack (MPC) decoder for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: libmpcdec-devel taglib-devel 
Requires: libmpcdec taglib
Requires: %{name} = %{version}-%{release}
%description musepack 
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the Musepack (MPC) decoder
%endif

%if %{!?_without_vorbis:1}0
%package vorbis
Summary: Ogg decoder for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: libogg-devel libvorbis-devel
Requires: libogg > 1.1.0
Requires: libvorbis > 1.1.0 
Requires: %{name} = %{version}-%{release}
%description vorbis 
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the Ogg Vorbis decoder
%endif

%if %{!?_without_flac:1}0
%package flac
Summary: FLAC decoder for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: flac-devel 
Requires: flac
Requires: %{name} = %{version}-%{release}
%description flac 
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the FLAC decoder
%endif

%if %{!?_without_sndfile:1}0
%package sndfile
Summary: Decoder of the sndfile formats for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: libsndfile-devel 
Requires: libsndfile > 1.0.0
Requires: %{name} = %{version}-%{release}
%description sndfile
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the decoders of sndfile
%endif

%if %{!?_without_speex:1}0
%package speex
Summary: Speex decoder for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: speex-devel 
Requires: speex > 1.1.0
Requires: %{name} = %{version}-%{release}
%description speex 
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the Speex decoder
%endif


%if %{!?_without_ffmpeg:1}0
%package ffmpeg
Summary: FFMPEG (WMA, Real etc.) decoder for MoC - Music on Console
Group: Applications/Multimedia
BuildRequires: ffmpeg-devel
Requires: ffmpeg
Requires: %{name} = %{version}
%description ffmpeg
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

This package contains the FFMPEG (WMA, Real etc.) decoder
%endif



%prep
%setup -q -n moc-%{version}-alpha4


%build
%configure \
        %{?_without_mp3:--without-mp3} \
        %{!?_with_musepack:--without-musepack} \
        %{?_without_vorbis:--without-vorbis} \
        %{?_without_flac:--without-flac} \
        %{?_without_sndfile:--without-sndfile} \
        %{?_without_speex:--without-speex} \
        %{?_without_samplerate:--without-samplerate} \
        %{?_without_curl:--without-curl} \
        %{!?_with_ffmpeg:--without-ffmpeg} \
        %{?_without_jack:--without-jack} \
        %{?_without_rcc:--without-rcc} \
        --disable-debug
%{__make} %{?_smp_mflags}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
%makeinstall
rm -rf $RPM_BUILD_ROOT/usr/share/doc/moc
mkdir -p $RPM_BUILD_ROOT%{_libdir}/moc/decoder_plugins
mv $RPM_BUILD_ROOT%{_libdir}/*.so  $RPM_BUILD_ROOT%{_libdir}/moc/decoder_plugins
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# Fix up some perms so rpmlint does not complain too much
chmod 755 %{buildroot}%{_bindir}/*
chmod 755 %{buildroot}%{_libdir}/moc/decoder_plugins/*.so


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-, root, root)
%doc README COPYING config.example keymap.example
%_bindir/*
%_datadir/%{name}/*
%_mandir/*/*
%dir %_libdir/moc
%dir %_libdir/moc/decoder_plugins

%if %{?_with_musepack:1}0
%files musepack 
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libmusepack_decoder.*
%endif

%if %{!?_without_flac:1}0
%files flac
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libflac_decoder.*
%endif

%if %{!?_without_mp3:1}0
%files mp3
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libmp3_decoder.*
%endif

%if %{!?_without_vorbis:1}0
%files vorbis
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libvorbis_decoder.*
%endif

%if %{!?_without_sndfile:1}0
%files sndfile
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libsndfile_formats_decoder.*
%endif

%if %{!?_without_speex:1}0
%files speex 
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libspeex_decoder.*
%endif

%if %{?_with_ffmpeg:1}0
%files ffmpeg 
%defattr(-, root, root)
%doc COPYING
%_libdir/moc/decoder_plugins/libffmpeg_decoder.*
%endif



%changelog
* Mon Oct 26 2009 Yuri Timofeev <tim4dev@gmail.com> 2.5.0-0.1.alpha4
- Prepare .spec to push to Fedora upstream

* Mon Oct 26 2009 Fredrik Rambris <fredrik@rambris.com> 2.4.0-1
- This file is made by Fredrik Rambris <fredrik@rambris.com>

* Thu Jul 26 2007 Klaus Ethgen <kethgen@inf.ethz.ch> 2.4.0
- Add changes from the daper 2.4.0 version
- Cleaning up
- Making the include/exclude mechanism unified (per default include all)

